Subject: Re: [Bitcoin-development] Revisiting the BIPS process, a proposal

From: "Luke-Jr" <[email-masked]>
Date: Wed, 23 Oct 2013 21:49:00 +0000

On Wednesday, October 23, 2013 9:42:14 PM Allen Piscitello wrote:
> That being said, it's a huge chicken and egg problem.  No one wants to go
> off the reference client since it could lead to working on a forked chain
> as a miner or having bad data as a client.

Thankfully, miners are incentivised to run one of every widespread node to 
ensure their blocks are accepted by the network. Eloipool already supports 
cross-referencing block templates between multiple clients and using the one 
that is accepted by most/all (and logging any discrepancies with coredump-like 
details).

Luke